API Reference
Log In
API Reference
These docs are for v2.0. Click to read the latest docs for v2.1.

List Calendar Slots

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

List Sessions

List all sessions within your account. Pagination is available.

You can get all of the information about a session — including start time, end time, max attendees, as well as how many applicants booked that session and whether the booked applicants attended or not.

Use the page parameter to indicate the page for pagination, e.g. &page=2 to get to the 2nd page of the listing.

However, the page parameter value has a limit due to performance reasons. If you need to access very old pages, please use cursor-based pagination. Every API response contains pagination.next_cursor property, which you can use as a ?cursor=<cursor_string> in the next request. The parameter will look like this: ?cursor=cnNwcWJ4VWp1T0Y5eFZWSGIvUmZjdz09LS14Z1RZbGlCdmNRdHNJMEho....

Filtering

The Opening ID, or funnel_id is a required parameter for this endpoint.

We also support optional filters for selecting sessions from only the stages that you care about, by using the stage_id parameter.

For both the Opening and Stage ID, you must use the unique ID of the Stage or Opening, not the title. To look up the ID of an Opening (funnel) or Stage, use the List All Positions or List All Stages endpoints.

Booked or unbooked

You can return all the sessions, even those that are not yet booked, by passing with_unbooked=true. Otherwise, only booked sessions will be returned by default.

Query Params
string
required
Defaults to 11111111-0000-0000-0000-000000000000

Filter by Opening ID

boolean
Defaults to false

Includes all available_slots when TRUE

string
Defaults to 22222222-0000-0000-0000-000000000000

Filter by Stage ID

string

Cursor parameter for cursor-based pagination

string

use time="past" for past sessions, time="upcoming" for future sessions, time="date=MM-DD-YYYY" for a specific date, or time="range=MM-DD-YYYY*MM-DD-YYYY" for a range of time

Headers
string
required
Defaults to secret-api-token

Access Token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json